<?php

class MPC_AdminMenus extends MPC {

  public static $key = "admin-menus";
  
  public function manage_actions() {
    MPV::incl("page-links");
    MPV::incl("post-links");
    
    return array(
      MPV::action_button("admin-menus", "create-page-link", MPV::i18n__create( MPV_PageLinks::i18n__s() ) ),
      MPV::action_button("admin-menus", "create-post-link", MPV::i18n__create( MPV_PostLinks::i18n__s() ) )
    );
  }
  

  /* -- Post Link Actions -- */
  
  public function create_post_link() {
    $this->create("view=post-links");
  }

  public function edit_post_link($id) {
    $this->edit("view=post-links");
  }

  /* -- Page Link Actions -- */


  public function create_page_link() {
    $this->create("view=page-links");
  }

  public function edit_page_link($id) {
    $this->edit("view=page-links");
  }


}